%define testname iconsdir

Name: repocop-unittest-alt-desktop-%testname
Version: 0.07
Release: alt1
BuildArch: noarch
Packager: Igor Yu. Vlasenko <viy@altlinux.org>

Summary: ALT desktop intergration tests for repocop test platform.
Group: Development/Other
License: GPL or Artistic
#Url: 
Requires: repocop

%description
Repocop intergration tests for ALT Linux specific Icons Packaging Policy.
see http://freesource.info/wiki/AltLinux/Policy/IconPaths.

%prep

%build
cat > iconsdir.test <<'EOF'
#!/bin/sh
files_exist()
{
    [ -e "$1" ]
}

if files_exist $REPOCOP_PKG_ROOT%_niconsdir/* && \
files_exist $REPOCOP_PKG_ROOT%_liconsdir/*  && \
files_exist $REPOCOP_PKG_ROOT%_miconsdir/* ; then
    exec repocop-test-ok
fi
if ! files_exist $REPOCOP_PKG_ROOT%_menudir/*  && \
   ! files_exist $REPOCOP_PKG_ROOT%_desktopdir/* ; then
    exec repocop-test-skip
fi
if files_exist $REPOCOP_PKG_ROOT%_liconsdir/* ; then
    exec repocop-test-warn "It is good to have a pixmap in %%_liconsdir, but to support any window manager you should specify at least 3 pixmaps in %%_liconsdir, %%_niconsdir, %%_miconsdir. See http://freesource.info/wiki/AltLinux/Policy/IconPaths."
fi
FOUND_PIXMAPS=
if files_exist $REPOCOP_PKG_ROOT%_datadir/pixmaps/*  || \
files_exist $REPOCOP_PKG_ROOT%_datadir/icons/mini/*  || \
files_exist $REPOCOP_PKG_ROOT%_datadir/icons/large/*; then
    exec repocop-test-fail "found pixmaps in non-standard locations, but no pixmap found in standard ones. To support any window manager you should additionally specify at least 3 pixmaps in %%_liconsdir, %%_niconsdir, %%_miconsdir. See http://freesource.info/wiki/AltLinux/Policy/IconPaths."
fi
exec repocop-test-skip
EOF

%install
mkdir -p $RPM_BUILD_ROOT%_datadir/repocop/pkgtests/iconsdir/
%__install -m 755 iconsdir.test $RPM_BUILD_ROOT%_datadir/repocop/pkgtests/iconsdir/test

%files
#doc README ChangeLog
%_datadir/repocop/pkgtests/iconsdir

%changelog
* Fri Mar 28 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- pkgtests/iconsdir split off to avoid frequent cache rebuilds.
- fixed warning in iconsdir: should require %%_liconsdir, not %%_niconsdir

* Tue Mar 11 2008 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- added update_wms test

* Mon Mar 03 2008 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- fixed bug in update_menus test

* Mon Mar 03 2008 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- added ShowOnlyIn check

* Thu Feb 28 2008 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- updated messages

* Mon Feb 25 2008 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- First build for Sisyphus.
